From a631db9ed431fe964efb45b36af28a0e772c9956 Mon Sep 17 00:00:00 2001
From: Csaba Sipos <metro4@freemail.hu>
Date: Mon, 26 Oct 2020 15:44:48 +0100
Subject: [PATCH] Add country specific settings for Hungary

---
 src/nmt/countries.c | 10 +++++++++-
 src/nmt/frame.c     |  2 +-
 src/nmt/nmt.c       |  6 +++---
 3 files changed, 13 insertions(+), 5 deletions(-)

diff --git a/src/nmt/countries.c b/src/nmt/countries.c
index 29d00e4..942e59e 100644
--- a/src/nmt/countries.c
+++ b/src/nmt/countries.c
@@ -100,6 +100,13 @@ static struct nmt_frequency frq_900_f[] = {
 	{   0,	0,	0.0,		0.0,	0.0,	0.0,	0 }
 };
 
+/* channel allocation used in Hungary */
+static struct nmt_frequency frq_450_hu[] = {
+	{   132,239,	467.370,	-0.020,	0.8,	10.0,	0 },
+	{   1,	132,	469.990,	-0.020,	0.8,	10.0,	0 },
+	{   0,	0,	0.0,		0.0,	0.0,	0.0,	0 }
+};
+
 /* country selector */
 static struct nmt_country {
 	int system;				/* 450 or 900 */
@@ -164,7 +171,8 @@ static struct nmt_country {
 	{ 450, 0, 9, 1,3,	"A2",	"Austria 2",		"PTV",				frq_450_a },
 	{ 900, 0, 5, 1,9,	"CH",	"Switzerland",		"PTT",				frq_900_scandinavia },
 	{ 900, 0, 6, 1,15,	"NL",	"Netherlands",		"Royal Dutch Post & Telecom",	frq_900_nl },
-	{ 900, 0, 1, 1,9,	"TR",	"Turkey",		"Turkcell",			frq_900_tr },
+	{ 900, 0, 1, 1,15,	"TR",	"Turkey",		"Turkcell",			frq_900_tr },
+	{ 450, 0, 6, 1,15,	"HU",	"Hungary",			"WESTEL",					frq_450_hu },
 	{ 0,0, 0, 0,0,		NULL,	NULL,			NULL,				NULL }
 };
 
diff --git a/src/nmt/frame.c b/src/nmt/frame.c
index ad03ae3..17aa03f 100644
--- a/src/nmt/frame.c
+++ b/src/nmt/frame.c
@@ -450,7 +450,7 @@ static const char *param_country(uint64_t value, int __attribute__((unused)) ndi
 	case 5:
 		return "Denmark";
 	case 6:
-		return "Sweden / Slovakia";
+		return "Sweden / Slovakia / Hungary";
 	case 7:
 		return "Norway / Czech";
 	case 8: